Texa Desk Application API · Help center
Add a new article
POST/
Add a new article to portal
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idstringrequiredThe slug identifier of the portal
Body application/json
titlestringThe title of the article
slugstringThe slug of the article
positionintegerarticle position in category
contentstringThe text content.
descriptionstringThe description of the article
category_idintegerThe category id of the article
author_idintegerThe author agent id of the article
associated_article_idintegerTo associate similar articles to each other, e.g to provide the link for the reference.
statusintegerThe status of the article. 0 for draft, 1 for published, 2 for archived
localestringThe locale of the article
metaobjectUse for search
Responses
200Success
idintegercontentstringThe text content.
metaobjectpositionintegerstatusintegerOne of: draft, published, archived.
titlestringslugstringviewsintegerportal_idintegeraccount_idintegerauthor_idintegercategory_idintegerfolder_idintegerassociated_article_idintegerTo associate similar articles to each other, e.g to provide the link for the reference.
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring